<?php
/*///////////////////////////////////////////////////////////////////////
Part of the code from the book 
Building Findable Websites: Web Standards, SEO, and Beyond
by Aarron Walter (aarron@buildingfindablewebsites.com)
http://buildingfindablewebsites.com

Distrbuted under Creative Commons license
http://creativecommons.org/licenses/by-sa/3.0/us/
///////////////////////////////////////////////////////////////////////

Example Form Usage

<? require_once("send-message.php");  echo sendMessage("example.com","you@example.com","blue"); ?>
<form method="post" action="contact.php">
	<fieldset>
		<legend>Send me a message [all fields required]</legend>
		
		<label for="name">Name</label>
		<input type="text" id="name" name="name" />
		
		<label for="email">Email</label>
		<input type="text" id="email" name="email" />
		
		<label for="message">Message</label>
		<textarea name="message" id="message"></textarea>
		
		<label for="spamchallenge">Spam Challenge Question: What color is the sky?</label>
		<input type="text" id="spamchallenge" name="spamchallenge" />
		
		<input type="submit" name="submit" value="Send" />
	</fieldset>
</form>

To Use:
---------------------------------------------------------
1) Place form page and this script in same folder
2) Name form page with a .php extension (example: contact.php)
3) Replace each value in sendMessage() with your info. 
The last value is the answer to a spam challenge question 
like "What color is the sky?".
---------------------------------------------------------
*/




// param $site_name: string, the name of your web site to be included in email subject line
// param $your_email: string, your email address
// param $challengeanswer: string, answer to cahllenge question used to prevent spam
// returns string: messages come back in <div class="success"></div> or <div class="error"></div> for easy styling
function sendMessage($site_name,$your_email,$challengeanswer){

	if($_SERVER['REQUEST_METHOD'] == 'POST'){
		
		// Validation ///////////////////////////////////////////////
		$err = array(); // will store all errors found in form submission

		// Is This A Human?
		if( !eregi($challengeanswer,$_POST['spamchallenge']) ){ array_push($err,"Please answer the challenge question to ensure you are not sending spam"); }

		// Check for blank name field
		if( empty($_POST['name']) ){ array_push($err,"Please enter your name"); }

		// Check for blank email field
		if( empty($_POST['email']) ){
			array_push($err,"Please enter your email address");
		}elseif( !ereg("^[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.([a-zA-Z]{2,4})$", $_POST['email']) ){
			array_push($err,"Enter a valid email address");
		}

		// Check for blank name field
		if( empty($_POST['message']) ){ array_push($err,"Please enter a message"); }
		
		// Build and return error mesage
		if(count($err)>0){
			for($i=0;$i<count($err);$i++){
				$errors .= $err[$i] . '<br />';
			}
			return '<div class="error">'.$errors.'</div>';
		}
		
		
		// Send the message ///////////////////////////////////////
		$name = $_POST["name"];
		$email = $_POST["email"];
		$message = $_POST["message"];

		// Send the email to you
		if(mail($your_email, "Email From $site_name", "
From: $name
Email: $email

$message

IP Address (Track Leads): " . $_SERVER['REMOTE_ADDR'] . "
			","From:$email\r\nReply-to:$email")){
					// You could add Google AdWords conversion tracking code in this string
					return '<div class="success">Thanks, $name. Your message was delivered successfully</div>';
		}else{
			return '
			<div class="error">The message could not be sent. Please try again or send an email to  
			<a href="mailto:$your_email" title="Send email to $your_email">$your_email</a>.</div>';
		}
	
	} // End check for submitted 

}
?>